import { Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { EditComponent } from './edit/edit.component';
import { AboutComponent } from './about/about.component';
import { ReadComponent } from './read/read.component';
import { AddComponent } from './add/add.component';
import { StartComponent } from './start/start.component';
import { CalenderComponent } from './calender/calender.component';
import { Command } from 'selenium-webdriver';
import { Component } from '@angular/core';

export const appRoutes: Routes = [
  {
    path: 'home',
    component: HomeComponent
  },
  {
    path: 'edit/:id',
    component: EditComponent
  },
  {
    path: 'about',
    component: AboutComponent
  },
  {
    path: 'read/:id',
    component: ReadComponent
  },
  {
    path: 'add',
    component: AddComponent
  },
  {
    path: '',
    component: StartComponent
  },
  {
    path: 'calender',
    component: CalenderComponent
  },
  {
    path: 'calender',
    component: CalenderComponent
  }

];
